> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a connection

> Delete a connection by ID



## OpenAPI

````yaml DELETE /team/{team_id}/connections/{connection_id}
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /team/{team_id}/connections/{connection_id}:
    delete:
      description: Delete a connection
      parameters:
        - name: team_id
          in: path
          description: ID of the team
          required: true
          schema:
            type: string
        - name: connection_id
          in: path
          description: ID of the connection
          required: true
          schema:
            type: string
        - name: removeDatasets
          in: query
          description: Whether to remove associated datasets
          schema:
            type: boolean
      responses:
        '200':
          description: Connection deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  removed:
                    type: boolean
                    example: true
        '400':
          description: Error response
        '401':
          description: Not authorized
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````